summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-13 00:59:16 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:16 +0200
commit3a70df7f56e91c0bf54bec571ebee9785be58214 (patch)
tree46ff6b7a12dae03b1b1082c4ddb832536c54f540 /libraries
parent5a70a9bae3f4d4b9d859f4c3cd936ebf4e033f79 (diff)
downloadslackbuilds-3a70df7f56e91c0bf54bec571ebee9785be58214.tar.gz
slackbuilds-3a70df7f56e91c0bf54bec571ebee9785be58214.tar.xz
libraries/pypoppler: Added to 13.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/pypoppler/README1
-rw-r--r--libraries/pypoppler/pypoppler.SlackBuild70
-rw-r--r--libraries/pypoppler/pypoppler.info10
-rw-r--r--libraries/pypoppler/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/libraries/pypoppler/README b/libraries/pypoppler/README
new file mode 100644
index 0000000000..988b9d2f1f
--- /dev/null
+++ b/libraries/pypoppler/README
@@ -0,0 +1 @@
+Python bindings for the Poppler PDF rendering library (glib).
diff --git a/libraries/pypoppler/pypoppler.SlackBuild b/libraries/pypoppler/pypoppler.SlackBuild
new file mode 100644
index 0000000000..3b7d45bdb4
--- /dev/null
+++ b/libraries/pypoppler/pypoppler.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for pypoppler
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=pypoppler
+VERSION=${VERSION:-0.10.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Remove poppler.la.
+find $PKG -name "*.la" -exec rm -f {} \;
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/pypoppler/pypoppler.info b/libraries/pypoppler/pypoppler.info
new file mode 100644
index 0000000000..32b4632664
--- /dev/null
+++ b/libraries/pypoppler/pypoppler.info
@@ -0,0 +1,10 @@
+PRGNAM="pypoppler"
+VERSION="0.10.1"
+HOMEPAGE="https://launchpad.net/poppler-python"
+DOWNLOAD="http://launchpad.net/poppler-python/trunk/development/+download/pypoppler-0.10.1.tar.gz"
+MD5SUM="146ecb7e1049dd9b92478d61c148829e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"
diff --git a/libraries/pypoppler/slack-desc b/libraries/pypoppler/slack-desc
new file mode 100644
index 0000000000..e58e2e8907
--- /dev/null
+++ b/libraries/pypoppler/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pypoppler: pypoppler (python bindings for poppler)
+pypoppler:
+pypoppler: Python bindings for the Poppler PDF rendering library (glib).
+pypoppler:
+pypoppler: Homepage: https://launchpad.net/poppler-python
+pypoppler:
+pypoppler:
+pypoppler:
+pypoppler:
+pypoppler:
+pypoppler: